import React from 'react';
import { View } from 'react-native';
import { storiesOf } from '@storybook/react-native';
import { TextNative } from '.';

storiesOf('TextNative', module)
   .add('default', () => <TextNative>Default text</TextNative>)
   .add('with size', () => <TextNative size={44}>Default text</TextNative>)
   .add('with bold', () => <TextNative bold>Default text</TextNative>)
   .add('with extraBold', () => <TextNative extraBold>Default text</TextNative>)
   .add('with color', () => <TextNative color="#e50553">Default text</TextNative>)
   .add('with alignSelfCenter', () => (
      <View style={{ height: 80, backgroundColor: '#eee', flexDirection: 'row' }}>
         <TextNative alignSelfCenter>Default text</TextNative>
      </View>
   ))
   .add('with alignCenter', () => <TextNative alignCenter>Default text</TextNative>)
   .add('with alignRight', () => <TextNative alignRight>Default text</TextNative>);
